Subject: bug#20189: 25.0.50; Feature request: Alternative split-window-sensibly functions

From: martin rudalics <[email-masked]>
Date: Thu, 26 Mar 2015 15:31:37 +0100

>> If the last form gets executed, you reuse a window.  Suppose it's reused
 >> for showing completions.  Then selecting a completion will, as a
 >> side-effect, delete that window instead of showing the previously shown
 >> buffer in it.  You probably won't like that.
 >
 > Sounds like a bug.  Why would the window be deleted?

Because, as I explained two mails ago, `split-window-preferred-function'
has a doc-string which explicitly says:

   This function is called with a window as single argument and is
   supposed to split that window and return the new window.  If the
   window can (or shall) not be split, it is supposed to return nil.

This function is not supposed to reuse a window or create a new frame.
If it does so, the result of quitting the window will be to delete the
window, if possible.

martin